Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 58753 - document.referrer is not returing anything.
: document.referrer is not returing anything.
: regression, top100
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: P3 normal with 2 votes (vote)
: Future
Assigned To: Johnny Stenback (:jst,
: Prashant Desale
: Jet Villegas (:jet)
: 58675 (view as bug list)
Depends on:
Blocks: 79840
  Show dependency treegraph
Reported: 2000-11-01 10:46 PST by Prashant Desale
Modified: 2002-08-19 12:09 PDT (History)
9 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

Proposed fix. (809 bytes, patch)
2000-11-01 16:53 PST, Johnny Stenback (:jst,
no flags Details | Diff | Splinter Review
Proposed fix #2 (1.66 KB, patch)
2000-12-31 18:58 PST, Johnny Stenback (:jst,
no flags Details | Diff | Splinter Review
Proposed fix #3 (use the URI of the caller as the referrer when doing (2.92 KB, patch)
2001-01-31 00:26 PST, Johnny Stenback (:jst,
no flags Details | Diff | Splinter Review

Description Prashant Desale 2000-11-01 10:46:03 PST
document.referrer is not returing anything.

1] Please visit above URL.
2] Click button "Open Another Window"


Child window should show something like this 
document.referrer : http://bubblegum/desale/referrer.html


Child window shows
document.referrer :
Comment 1 Johnny Stenback (:jst, 2000-11-01 14:26:06 PST
Just a note to myself, this works in Netscape 4.x, but not in IE 5.
Comment 2 gerardok 2000-11-01 14:57:30 PST
We need document.referrer fixed for backward compatibility. It's there since 
Javascript 1.0, and it's served to NS clients from several top 100 pages, ie:
Nominating for rtm.
Comment 3 Johnny Stenback (:jst, 2000-11-01 16:53:02 PST
Created attachment 18507 [details] [diff] [review]
Proposed fix.
Comment 4 Johnny Stenback (:jst, 2000-11-01 17:06:26 PST
Ignore the last patch, it's only part of the fix...
Comment 5 Johnny Stenback (:jst, 2000-11-01 23:53:12 PST
In 4.x document.referrer works at least when clicking on a link, in a frame
inside a frameset and also when doing;

In IE it works when clicking on a link and in a frame inside a frameset but not
when doing;

In mozilla it only works when clicking on a link, not in any other cases. I
doubt we'll be able to get this in for rtm, fixing this requires changes in a
number of places, it's not gonna be a trivial patch.
Comment 6 Nisheeth Ranjan 2000-11-02 15:00:37 PST
Marking rtm- based on Johnny's evaluation.
Comment 7 Jan Carpenter 2000-11-08 18:33:51 PST
I would have to argue that document.referrer is working with buttons, but not 
working with links.  

- Go to this internal URL:  
- Click on hdoc004.html

This test works in both Nav 4.x and in MSIE, but not in Netscape6.
Comment 8 Daniel Rainbird 2000-11-24 11:08:42 PST
document.referrer fails to work when you reload a page
Comment 9 Johnny Stenback (:jst, 2000-12-31 18:58:18 PST
Created attachment 21521 [details] [diff] [review]
Proposed fix #2
Comment 10 Johnny Stenback (:jst, 2000-12-31 19:00:45 PST
With the attached patch (#2) document.referrer works when clicking on links,
clicking on links that open in new window,, framesets, reloading,
all cases I could think of. Looking for r= and sr=, anyone?
Comment 11 Prashant Desale 2001-01-11 18:04:08 PST
Nominating for nsbeta1, since nsbeta2,3, dogfood, rtm keywords are going to be 
cleared soon and important bugs could loose attention. I think this one deserves 
nsbeta1 nomination.
Comment 12 Johnny Stenback (:jst, 2001-01-19 01:46:48 PST
Mitchell, could you review the last attachment in this bug?
Comment 13 Jason Eager 2001-01-29 14:53:00 PST
Adding Patch, review and approval keywords to get this fix in hand some attention.
Comment 14 Mitchell Stoltz (not reading bugmail) 2001-01-30 11:36:22 PST
looks good. As long as we continue to pass a principal as well as a referrer
through LoadInfo, the security will work all right. r=mstoltz
Comment 15 Johnny Stenback (:jst, 2001-01-31 00:26:16 PST
Created attachment 23924 [details] [diff] [review]
Proposed fix #3 (use the URI of the caller as the referrer when doing
Comment 16 Johnny Stenback (:jst, 2001-02-02 17:17:11 PST
Fix checked in.
Comment 17 ericshawn1 2001-07-10 10:04:39 PDT
I have downloaded the newest release, Netscape 6.01, and the document.referrer 
is still returning nothing.  This bug has NOT been fixed, and Netscape 6 is 
therefore still in violation of open standards.  

It is my strongest suggestion that Netscapse get with it and fix this and many 
other javascript related incompatibilities immediately, or lose any chance of a 
resurgence in the use of their browser by the mainstream web audience.
Comment 18 Fabian Guisset 2001-07-10 11:49:57 PDT, did you test in netscape 6.01 or netscape 6.1? only
netscape 6.1 will have the fix. Netscape 6.01 was released before this bug was
(please cc yourself on bugs on which you comment, thanks)
Comment 19 Mitchell Stoltz (not reading bugmail) 2001-07-10 12:30:40 PDT
Netscape 6.1 hasn't been released yet. The fix was checked in on 2/2, sou you'll
need to use a Mozilla milestone release or daily build made after that date to
see this fix.

Methinks he doth protest too much.
Comment 20 Bob Clary [:bc:] 2001-09-04 09:35:26 PDT
http://bubblegum/browser/standards/dom1/tcmatrix/htmldocument.html hdoc004.html 
wfm in Mozilla 2001081703/win2k and NS6.1RTM/win2k. Recommend we mark this one
as fixed.
Comment 21 Fabian Guisset 2001-09-21 09:02:21 PDT
Marking as FIXED again because of the lack of proofs that this is not fixed., please reopen if you come up with a site or testcase
that demonstrates that document.referrer does not work correctly. Thanks!
Comment 22 Sivakiran Tummala 2001-09-28 10:58:29 PDT
works for me. verified with the testcase provided. adding keyword vtrunk
Comment 23 Bernd 2001-12-14 03:03:17 PST
This does not work on a local drive. Steps to reproduce: download from gila the
testcases and on first run you see the full path with file:// on a second
run it is empty. Win98 2001-12-08-08
Comment 24 Johnny Stenback (:jst, 2002-01-08 22:28:04 PST
This works now in the normal case, futuring for now...
Comment 25 Boris Zbarsky [:bz] (still a bit busy) 2002-01-21 11:25:27 PST
*** Bug 58675 has been marked as a duplicate of this bug. ***
Comment 26 Sivakiran Tummala 2002-02-04 16:52:39 PST
failed in build 01-27-08 win2k.
Comment 27 Sivakiran Tummala 2002-02-04 16:54:04 PST
added the regression keyword, testcase passed in 6.2.1 RTM
Comment 28 Jesse Ruderman 2002-08-19 12:09:44 PDT
Works for me, 2002 081209 on Windows 2000.  Bernd Mielke, file a new bug for the
file:// problem if you still see it.

Note You need to log in before you can comment on or make changes to this bug.